---
title: AddressErrors.postalCode
slug: Web/API/AddressErrors/postalCode
tags:
  - API
  - Address
  - AddressErrors
  - Payment Request
  - Payment Request API
  - Post Code
  - Postal Code
  - Property
  - Read-only
  - Reference
  - Validation
  - ZIP
  - ZIP Code
  - payment
  - postalCode
---
<div>{{APIRef("Payment Request API")}}</div>

<p><span class="seoSummary">An object based on {{domxref("AddressErrors")}} includes a <code><strong>postalCode</strong></code> property when the address's {{domxref("PaymentAddress.postalCode", "postalCode")}} property couldn't be validated. The returned string explains the error and should offer suggestions for how to correct it.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>postcodeError</em> = <em>AddressErrors</em>.postCode;</pre>

<h3 id="Value">Value</h3>

<p>If the value specified in the {{domxref("PaymentAddress")}} object's {{domxref("PaymentAddress.postalCode", "postalCode")}} property could not be validated, this property contains a {{domxref("DOMString")}} offering a human-readable explanation of the validation error and offers suggestions for correcting it.</p>

<p>If the <code>postalCode</code> value was validated successfully, this property is not included in the <code>AddressErrors</code> object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-addresserrors-postalcode','AddressErrors.postalCode')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AddressErrors.postalCode")}}</p>
</div>
